MOUNT_QEMUFWCFG(8)

NAME
mount_qemufwcfg - provide QEMU fw_cfg data as a file system

SYNOPSIS
mount_qemufwcfg [-F path] [-g gid] [-M dir-mode] [-m file-mode] [-u uid] [fuse-options] special node

DESCRIPTION
The mount_qemufwcfg command provides the QEMU fw_cfg configuration files in a file system tree at point node. Both special and node are converted to absolute paths before use.

The options are as follows:

-F path
    Use path instead of /dev/qemufwcfg for the QEMU device.

-g gid
    Use gid as group for files in the file system instead of the active group id.

-M dir-mode
    Use dir-mode as permissions for directories instead of the default 0555.

-m file-mode
    Use file-mode as permissions for files instead of the default 0444.

-u uid
    Use uid as user for files in the file system instead of the active user id.

SEE ALSO
qemufwcfg(4)

HISTORY
A mount_qemufwcfg command first appeared in NetBSD 9.0.

AUTHORS
Jared McNeill <jmcneill@invisible.ca>